Provides C APIs for network-related modules, including SSL/TLS certificate chain verification, WebSocket client, HTTP request, and global HTTP interceptor.
Calling paradigm: taking an HTTP request as an example, the typical calling process is: create a request instance, set request parameters, initiate the request, obtain the response, and destroy the instance. For the WebSocket client, the APIs must be called in the order of creating an instance, connecting to the server, sending and receiving data, and closing the connection. For SSL/TLS certificate chain verification, the certificate chain must be loaded and verified before initiating a network request. The global HTTP interceptor must be registered before use and unregistered when no longer needed.
Since: 11
| Name | Description |
|---|---|
| net_ssl_c.h | Defines the C APIs of the SSL/TLS certificate chain verification module. |
| net_ssl_c_type.h | Defines the data structures for the C APIs of the SSL/TLS certificate chain verification module. |
| net_websocket.h | Defines the APIs of the WebSocket client module. |
| net_websocket_type.h | Defines the C API data structures required by the WebSocket client module. |
| net_http.h | Defines the APIs of the HTTP request module. |
| net_http_type.h | Defines the data structures for the C APIs of the HTTP request module. |
| http_interceptor.h | Defines the APIs of the global HTTP interceptor module. |
| http_interceptor_type.h | Defines the data structures for the C APIs of the global HTTP interceptor module. |